<div class="mt-2 container-fluid">
  <h2 class="text-center">Liste des clients</h2>

  <div class="mb-2">
  <button class="btn btn-primary" [routerLink]="['/', 'clients', 'add']">
    Ajouter un client
    </button>
  </div>

  <ng-container *ngIf="clients$ | async as clients; else loading">
    <table *ngIf="clients.length > 0; else noData"
           class="table table-striped table-hover"
    >
      <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Status</th>
        <th scope="col">Revenue</th>
        <th scope="col">Comments</th>
        <th scope="col">Actions</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let client of clients">
        <th scope="row">{{ client.name }}</th>
        <td>{{ client.status }}</td>
        <td>{{ client.revenue }}€</td>
        <td>{{ client.comments }}</td>
        <td>
          <button class="btn btn-primary"
                  [routerLink]="['/', 'clients', 'edit', client.id]">
            <app-icon-edit></app-icon-edit>
          </button>

        </td>
      </tr>
      </tbody>
    </table>
  </ng-container>
</div>

<ng-template #noData>
  <div class="alert alert-danger" role="alert">
    Aucun clients disponible !
  </div>
</ng-template>
<ng-template #loading>
  <div class="alert alert-info" role="alert">
    Chargement des données...
  </div>
</ng-template>
